#ifndef ARCHPROFILEMANAGER_H
#define ARCHPROFILEMANAGER_H
//
#include <QDialog>
#include <QTreeWidget>
#include <QMap>
//
class ArchProfileManager:public QDialog
{
	Q_OBJECT
	
	public:
		//ArchProfileManager(QObject * parent = 0);
		ArchProfileManager();
		QTreeWidget *treeWidget;
		bool profilesWereUpdated;
		bool profileConnectRequested;
		int profileCurrentId;
		
	private slots:
		void treeItemClicked();
		void profileRename();
		void profileNew();
		void profileEdit();
		void profileDelete();
		void profileConnect();
		void coucou();
	
	private:
		//QStringList profileGetKeysForProfile(QString);
		QMap<QString, QString> profileGetInfosForProfile(QString);
		void profileListUpdate();

	signals:
		void profilesUpdated(); // apparently not used
};
#endif
