#include <QApplication>
#include <QTranslator>
#include <QString>
#include <QLocale>
#include "dialogimpl.h"

//
int main(int argc, char ** argv)
{
	QApplication app(argc, argv);
	
	QString locale = QLocale::system().name();

	QTranslator translator;
	translator.load(QString(":/archassistant_") + locale);
	app.installTranslator(&translator);
	
	DialogImpl systray(0);
	systray.show();
	app.setQuitOnLastWindowClosed(false);
	//app.connect( &app, SIGNAL( lastWindowClosed() ), &app, SLOT( quit() ) );
	return app.exec();
}
