//
// C++ Interface: systeminfosassistant
//
// Description: 
//
//
// Author: pizza.tony <pizza.tony@free.fr>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef SYSTEMINFOSASSISTANT_H
#define SYSTEMINFOSASSISTANT_H

#include <QDialog>
#include <QProcess>
#include <QMap>
class QProcess;
class QTextEdit;
class QPushButton;
class QLineEdit;
class QComboBox;
class QLabel;
class QProcess;
//class QMap;

/**
	@author pizza.tony <pizza.tony@free.fr>
*/

class SystemInfosAssistant:public QDialog
{
	Q_OBJECT
	public:
		SystemInfosAssistant(int actionIndex);
		//~SystemInfosAssistant();

	private:
		QTextEdit *textEdit;
		QComboBox *cbInfosActions;
		QPushButton *pbStart;
		QLineEdit *leExtraArgs;
		QPushButton *pbClose;
		QProcess *systemInfoProcess;
		//QStringList systemInfoName[20];
		QMap<int, QStringList> systemInfoName;
		QMap<int, QStringList> readActionsList(QString);
	
	private slots:
		void processStart();
		void processEnd();
		void cbActionsChanged();
};

#endif
