#ifndef WIFINETWORKSELECTOR_H
#define WIFINETWORKSELECTOR_H
//
#include <QDialog>
#include <QTreeWidget>
#include <QMap>

class WifiNetworkSelector:public QDialog
{
	Q_OBJECT
	public:
		WifiNetworkSelector(QWidget * parent = 0, Qt::WFlags f = 0);

		QString essidSelected;
		QString channelSelected;
		QString modeSelected;
		QString protocolSelected;

		QTreeWidget *treeWidget;

		
	
	private:
		QMap<int, QStringList> parseIwlistScan(QString);

	private slots:
		void networkSelected();
		void scanNetwork();
};
#endif
